Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class Shell

    java.lang.Object
      org.codehaus.groovy.tools.shell.Shell

    class Shell

A simple shell for invoking commands from a command-line.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary
`protected Logger` | `log`

Property Summary
`IO` | `io`
`CommandRegistry` | `registry`

Constructor Summary
`Shell(IO io)`
`Shell()`

Method Summary
`java.lang.Object` | `execute(java.lang.String line)`
`Command` | `findCommand(java.lang.String line)`
`boolean` | `isExecutable(java.lang.String line)`
`java.lang.Object` | `leftShift(java.lang.String line)`
`java.lang.Object` | `leftShift(Command command)`
`protected java.util.List` | `parseLine(java.lang.String line)`
`Command` | `register(Command command)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### log

    protected final Logger log

Property Detail

### io

    final IO io

### registry

    final CommandRegistry registry

Constructor Detail

### Shell

    Shell(IO io)

### Shell

    Shell()

Method Detail

### execute

    java.lang.Object execute(java.lang.String line)

### findCommand

    Command findCommand(java.lang.String line)

### isExecutable

    boolean isExecutable(java.lang.String line)

### leftShift

    java.lang.Object leftShift(java.lang.String line)

### leftShift

    java.lang.Object leftShift(Command command)

### parseLine

    protected java.util.List parseLine(java.lang.String line)

### register

    Command register(Command command)

Groovy Documentation